@import '../../Shared/Variables.scss';

:host{
    display: flex;
    min-height: 100%;
}
.button-container{
 
    max-height: 55px;
    min-height: 55px;
    display: flex;
    align-items: center;
    margin: 5px 0;
    &:before {
        position: absolute;
        content: "";
        height: 60px;
        width: 3px;
        max-height: 60px;
        min-height: 60px;
        background-color: #111;
        transition: linear background-color 0.4s;
    }
    label{
        color: $primary-color;
        width: 150px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        text-decoration: none;
        outline: none;
        &:hover{
            cursor: pointer;
        }
        margin: 0;
        padding-left: 3px;
    }
    &:hover{
        cursor: pointer;
        background-color: rgb(62, 66, 72);
        border-color: rgb(62, 66, 72);
        .btn-primary{
            background-color: #1570d1;
            border-color: #1570d1;
        }
        label{
            color: #fff;
        }
    }
   
    &:focus-visible{
        color: #fff ;
        background-color: $primary-color;
        border-color: $primary-color;
    }
    
}
.sidemenu-bttn-active{
    &:before {
        position: absolute;
        content: "";
        height: 60px;
        width: 3px;
        max-height: 60px;
        min-height: 60px;
        background-color: rgb(166, 212, 255);
        transition: background-color 0.8s;
    }
}
div{
    background-color: rgb(42, 46, 52);
    width: 75px;
    height: 100%;
    min-height: calc(100vh - 75px);
    max-height: 100vh;
    transition: width 0.4s;
    z-index: 1;
    overflow: hidden;
}
.side-menu{
    width: 75px;
    &:hover{
        width: 200px;
    }
}
button{
    width: calc(100% - 16px);
    min-height: 50px;
    min-width: 60px;
    max-width: 60px;
    max-height: 50px;
    border-radius: $dd-container-border-radius;
    margin: 5px 8px;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

label{
    width: 100%;
    margin: 0;
    z-index: 0;
    transition: color 0.4s ease;
}
.flex{
    display: flex;
}
.selector{
    position: absolute;
    top: 78px;
    height: 60px;
    width: 3px;
    max-height: 60px;
    min-height: 60px;
    background-color: rgb(166, 212, 255);
    transition: top 0.4s;
}
